http://iot.{region}.amazonaws.com/metric-values#thingName&metricName&startTime&endTimeLists the values reported for an IoT Device Defender metric (device-side metric, cloud-side metric, or custom metric) by the given thing during the specified time period.
The name of the thing for which security profile metric values are returned.
The name of the security profile metric for which values are returned.
The dimension name.
The dimension value operator.
The start of the time period for which metric values are returned.
The end of the time period for which metric values are returned.
The maximum number of results to return at one time.
The token for the next set of results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/metric-values#thingName&metricName&startTime&endTime' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iot.{region}.amazonaws.com/metric-values#thingName&metricName&startTime&endTimeLists the values reported for an IoT Device Defender metric (device-side metric, cloud-side metric, or custom metric) by the given thing during the specified time period.
The name of the thing for which security profile metric values are returned.
The name of the security profile metric for which values are returned.
The dimension name.
The dimension value operator.
The start of the time period for which metric values are returned.
The end of the time period for which metric values are returned.
The maximum number of results to return at one time.
The token for the next set of results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/metric-values#thingName&metricName&startTime&endTime' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}